#include "13wheel.inc"

#declare T_Chariot1 = texture
{
  pigment
  {
    colour rgb<0.965,0.776,0.169>
  }
  normal
  {
    dents 1.0
    scale <0.1, 0.1, 0.1>
  }
  finish {
    phong 1.0    metallic
    reflection 0.5
  }
}

#declare T_Chariot2 = texture
{
  pigment
  {
    color <1.00,0.51,0.16>
  }
  finish {
    phong 1.0    metallic
    reflection 0.25
  }
}

#declare Corner_pole =
union {
	cylinder {<0,1.5,0><0,1.8,0>,.2}
	cylinder {<0,1.8,0><0,4.5,0>,.1 texture{T_Chariot2}}
	cylinder {<0,4.5,0><0,5,0>,.2}
	sphere {<0,5.2,0>,.2 texture{T_Chariot2}}
}

#declare Chariot_base =
union {
difference {
	union {
		difference {
    		cylinder {<0.59,1.50,0.00><0.59,1.80,0.00>,3.42 texture{T_Chariot2}}
   			cylinder {<0.59,0,0><0.59,10,0>,3.12 texture{T_Chariot2}}
		}
		difference {
    		cylinder {<0.59,1.80,0.00><0.59,4.50,0.00>,3.32}
    		cylinder {<0.59,0,0><0.59,10,0>,3.12}
		}
		difference {
    		cylinder {<0.59,4.50,0.00><0.59,4.80,0.00>,3.42 texture{T_Chariot2}}
    		cylinder {<0.59,0,0><0.59,10,0>,3.12 texture{T_Chariot2}}
		}
	}
    box {<-10,0,2.50><10,10,10>}
    box {<-10,0,-2.50><10,10,-10>}
    box {<-1.60,0,10><20,10,-10>}
}
box {<-1.60,1.50,2.60><2.70,1.80,2.30>}
box {<0.00,2.40,2.60><2.70,2.70,2.30>}
box {<0.00,1.80,2.30><2.70,2.40,2.50>}

difference {
	box {<0.00,1.80,2.30><-1.60,4.80,2.50>}
	box {<0,10,10><10,-10,-10>rotate <0,0,37> translate <0,2.4,0>}
}

box {<-1.60,1.50,-2.60><2.70,1.80,-2.30> texture{T_Chariot2}}
box {<0.00,2.40,-2.60><2.70,2.70,-2.30> texture{T_Chariot2}}
box {<0.00,1.80,-2.30><2.70,2.40,-2.50>}

difference {
	box {<0.00,1.80,-2.30><-1.60,4.80,-2.50>}
	box {<0,10,10><10,-10,-10>rotate <0,0,37> translate <0,2.4,0>}
}

box {<0,0,2.3><-2.88,0.18,2.6> rotate <0,0,-53> translate <0,2.4,0> texture{T_Chariot2}}
box {<0,0,-2.3><-2.88,0.18,-2.6> rotate <0,0,-53> translate <0,2.4,0> texture{T_Chariot2}}

object {Corner_pole translate <-1.6,0,2.6>}
object {Corner_pole translate <-1.6,0,-2.6>}
}

#declare Frame =
union {
cylinder {<-10.60,2.55,0.00><-0.40,2.55,0.00>,0.15}
	cylinder {<-4.50,2.55,0><-3.60,2.55,0>,0.16 texture {T_Iron scale .2}}
	cylinder {<-10.40,2.55,0><-10.70,2.55,0>,0.16 texture {T_Iron scale .2}}
	cylinder {<-4.1,2.4,0><-4.1,2.8,0>,0.05 texture{T_Iron scale .2}}

cylinder {<-0.40,1.35,1.85><-3.00,1.35,1.85>,0.15}
	cylinder {<-3.1,1.35,1.85><-2.8,1.35,1.85>0.16 texture{T_Iron scale .2}}

cylinder {<-0.40,1.35,-1.85><-3.00,1.35,-1.85>,0.15}
	cylinder {<-3.1,1.35,-1.85><-2.8,1.35,-1.85>0.16 texture{T_Iron scale .2}}

cylinder {<-4.10,2.25,-5><-4.10,2.25,5>,0.15}
	cylinder {<-4.10,2.25,4><-4.10,2.25,5.4>,0.16 texture {T_Iron scale .2}}
	cylinder {<-4.10,2.25,-4><-4.10,2.25,-5.4>,0.16 texture {T_Iron scale .2}}
	cylinder {<-4.10,2.25,-0.25><-4.10,2.25,0.25>,0.16 texture {T_Iron scale .2}}

cylinder {<-2.85,1.35,-1.85><-2.85,2.55,0.00>,0.15}
cylinder {<-2.85,1.35,1.85><-2.85,2.55,0.00>,0.15}
}

#declare Chariot =
union {
object {Chariot_base  texture{T_Chariot1}}
object {Wheel1 translate <0,1.3,-2.85>}
object {Wheel1 scale <1,1,-1> translate <0,1.3,2.85>}
object {Frame texture{T_Wheel2 rotate <0,90,0>}}
}
